<?php

namespace ContainerGPlk4aa;
include_once \dirname(__DIR__, 4).'/vendor/doctrine/persistence/lib/Doctrine/Persistence/ObjectManager.php';
include_once \dirname(__DIR__, 4).'/vendor/doctrine/orm/lib/Doctrine/ORM/EntityManagerInterface.php';
include_once \dirname(__DIR__, 4).'/vendor/doctrine/orm/lib/Doctrine/ORM/EntityManager.php';

class EntityManager_9a5be93 extends \Doctrine\ORM\EntityManager implements \ProxyManager\Proxy\VirtualProxyInterface
{
    /**
     * @var \Doctrine\ORM\EntityManager|null wrapped object, if the proxy is initialized
     */
    private $valueHolder47e40 = null;

    /**
     * @var \Closure|null initializer responsible for generating the wrapped object
     */
    private $initializer27893 = null;

    /**
     * @var bool[] map of public properties of the parent class
     */
    private static $publicPropertiesf32ab = [
        
    ];

    public function getConnection()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getConnection', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getConnection();
    }

    public function getMetadataFactory()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getMetadataFactory', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getMetadataFactory();
    }

    public function getExpressionBuilder()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getExpressionBuilder', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getExpressionBuilder();
    }

    public function beginTransaction()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'beginTransaction', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->beginTransaction();
    }

    public function getCache()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getCache', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getCache();
    }

    public function transactional($func)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'transactional', array('func' => $func), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->transactional($func);
    }

    public function wrapInTransaction(callable $func)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'wrapInTransaction', array('func' => $func), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->wrapInTransaction($func);
    }

    public function commit()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'commit', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->commit();
    }

    public function rollback()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'rollback', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->rollback();
    }

    public function getClassMetadata($className)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getClassMetadata', array('className' => $className), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getClassMetadata($className);
    }

    public function createQuery($dql = '')
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'createQuery', array('dql' => $dql), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->createQuery($dql);
    }

    public function createNamedQuery($name)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'createNamedQuery', array('name' => $name), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->createNamedQuery($name);
    }

    public function createNativeQuery($sql, \Doctrine\ORM\Query\ResultSetMapping $rsm)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'createNativeQuery', array('sql' => $sql, 'rsm' => $rsm), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->createNativeQuery($sql, $rsm);
    }

    public function createNamedNativeQuery($name)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'createNamedNativeQuery', array('name' => $name), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->createNamedNativeQuery($name);
    }

    public function createQueryBuilder()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'createQueryBuilder', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->createQueryBuilder();
    }

    public function flush($entity = null)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'flush', array('entity' => $entity), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->flush($entity);
    }

    public function find($className, $id, $lockMode = null, $lockVersion = null)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'find', array('className' => $className, 'id' => $id, 'lockMode' => $lockMode, 'lockVersion' => $lockVersion), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->find($className, $id, $lockMode, $lockVersion);
    }

    public function getReference($entityName, $id)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getReference', array('entityName' => $entityName, 'id' => $id), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getReference($entityName, $id);
    }

    public function getPartialReference($entityName, $identifier)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getPartialReference', array('entityName' => $entityName, 'identifier' => $identifier), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getPartialReference($entityName, $identifier);
    }

    public function clear($entityName = null)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'clear', array('entityName' => $entityName), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->clear($entityName);
    }

    public function close()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'close', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->close();
    }

    public function persist($entity)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'persist', array('entity' => $entity), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->persist($entity);
    }

    public function remove($entity)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'remove', array('entity' => $entity), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->remove($entity);
    }

    public function refresh($entity)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'refresh', array('entity' => $entity), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->refresh($entity);
    }

    public function detach($entity)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'detach', array('entity' => $entity), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->detach($entity);
    }

    public function merge($entity)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'merge', array('entity' => $entity), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->merge($entity);
    }

    public function copy($entity, $deep = false)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'copy', array('entity' => $entity, 'deep' => $deep), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->copy($entity, $deep);
    }

    public function lock($entity, $lockMode, $lockVersion = null)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'lock', array('entity' => $entity, 'lockMode' => $lockMode, 'lockVersion' => $lockVersion), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->lock($entity, $lockMode, $lockVersion);
    }

    public function getRepository($entityName)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getRepository', array('entityName' => $entityName), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getRepository($entityName);
    }

    public function contains($entity)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'contains', array('entity' => $entity), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->contains($entity);
    }

    public function getEventManager()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getEventManager', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getEventManager();
    }

    public function getConfiguration()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getConfiguration', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getConfiguration();
    }

    public function isOpen()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'isOpen', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->isOpen();
    }

    public function getUnitOfWork()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getUnitOfWork', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getUnitOfWork();
    }

    public function getHydrator($hydrationMode)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getHydrator', array('hydrationMode' => $hydrationMode), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getHydrator($hydrationMode);
    }

    public function newHydrator($hydrationMode)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'newHydrator', array('hydrationMode' => $hydrationMode), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->newHydrator($hydrationMode);
    }

    public function getProxyFactory()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getProxyFactory', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getProxyFactory();
    }

    public function initializeObject($obj)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'initializeObject', array('obj' => $obj), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->initializeObject($obj);
    }

    public function getFilters()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'getFilters', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->getFilters();
    }

    public function isFiltersStateClean()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'isFiltersStateClean', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->isFiltersStateClean();
    }

    public function hasFilters()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'hasFilters', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return $this->valueHolder47e40->hasFilters();
    }

    /**
     * Constructor for lazy initialization
     *
     * @param \Closure|null $initializer
     */
    public static function staticProxyConstructor($initializer)
    {
        static $reflection;

        $reflection = $reflection ?? new \ReflectionClass(__CLASS__);
        $instance   = $reflection->newInstanceWithoutConstructor();

        \Closure::bind(function (\Doctrine\ORM\EntityManager $instance) {
            unset($instance->config, $instance->conn, $instance->metadataFactory, $instance->unitOfWork, $instance->eventManager, $instance->proxyFactory, $instance->repositoryFactory, $instance->expressionBuilder, $instance->closed, $instance->filterCollection, $instance->cache);
        }, $instance, 'Doctrine\\ORM\\EntityManager')->__invoke($instance);

        $instance->initializer27893 = $initializer;

        return $instance;
    }

    protected function __construct(\Doctrine\DBAL\Connection $conn, \Doctrine\ORM\Configuration $config, \Doctrine\Common\EventManager $eventManager)
    {
        static $reflection;

        if (! $this->valueHolder47e40) {
            $reflection = $reflection ?? new \ReflectionClass('Doctrine\\ORM\\EntityManager');
            $this->valueHolder47e40 = $reflection->newInstanceWithoutConstructor();
        \Closure::bind(function (\Doctrine\ORM\EntityManager $instance) {
            unset($instance->config, $instance->conn, $instance->metadataFactory, $instance->unitOfWork, $instance->eventManager, $instance->proxyFactory, $instance->repositoryFactory, $instance->expressionBuilder, $instance->closed, $instance->filterCollection, $instance->cache);
        }, $this, 'Doctrine\\ORM\\EntityManager')->__invoke($this);

        }

        $this->valueHolder47e40->__construct($conn, $config, $eventManager);
    }

    public function & __get($name)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, '__get', ['name' => $name], $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        if (isset(self::$publicPropertiesf32ab[$name])) {
            return $this->valueHolder47e40->$name;
        }

        $realInstanceReflection = new \ReflectionClass('Doctrine\\ORM\\EntityManager');

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder47e40;

            $backtrace = debug_backtrace(false, 1);
            trigger_error(
                sprintf(
                    'Undefined property: %s::$%s in %s on line %s',
                    $realInstanceReflection->getName(),
                    $name,
                    $backtrace[0]['file'],
                    $backtrace[0]['line']
                ),
                \E_USER_NOTICE
            );
            return $targetObject->$name;
        }

        $targetObject = $this->valueHolder47e40;
        $accessor = function & () use ($targetObject, $name) {
            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();

        return $returnValue;
    }

    public function __set($name, $value)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, '__set', array('name' => $name, 'value' => $value), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        $realInstanceReflection = new \ReflectionClass('Doctrine\\ORM\\EntityManager');

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder47e40;

            $targetObject->$name = $value;

            return $targetObject->$name;
        }

        $targetObject = $this->valueHolder47e40;
        $accessor = function & () use ($targetObject, $name, $value) {
            $targetObject->$name = $value;

            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();

        return $returnValue;
    }

    public function __isset($name)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, '__isset', array('name' => $name), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        $realInstanceReflection = new \ReflectionClass('Doctrine\\ORM\\EntityManager');

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder47e40;

            return isset($targetObject->$name);
        }

        $targetObject = $this->valueHolder47e40;
        $accessor = function () use ($targetObject, $name) {
            return isset($targetObject->$name);
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = $accessor();

        return $returnValue;
    }

    public function __unset($name)
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, '__unset', array('name' => $name), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        $realInstanceReflection = new \ReflectionClass('Doctrine\\ORM\\EntityManager');

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder47e40;

            unset($targetObject->$name);

            return;
        }

        $targetObject = $this->valueHolder47e40;
        $accessor = function () use ($targetObject, $name) {
            unset($targetObject->$name);

            return;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $accessor();
    }

    public function __clone()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, '__clone', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        $this->valueHolder47e40 = clone $this->valueHolder47e40;
    }

    public function __sleep()
    {
        $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, '__sleep', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;

        return array('valueHolder47e40');
    }

    public function __wakeup()
    {
        \Closure::bind(function (\Doctrine\ORM\EntityManager $instance) {
            unset($instance->config, $instance->conn, $instance->metadataFactory, $instance->unitOfWork, $instance->eventManager, $instance->proxyFactory, $instance->repositoryFactory, $instance->expressionBuilder, $instance->closed, $instance->filterCollection, $instance->cache);
        }, $this, 'Doctrine\\ORM\\EntityManager')->__invoke($this);
    }

    public function setProxyInitializer(\Closure $initializer = null) : void
    {
        $this->initializer27893 = $initializer;
    }

    public function getProxyInitializer() : ?\Closure
    {
        return $this->initializer27893;
    }

    public function initializeProxy() : bool
    {
        return $this->initializer27893 && ($this->initializer27893->__invoke($valueHolder47e40, $this, 'initializeProxy', array(), $this->initializer27893) || 1) && $this->valueHolder47e40 = $valueHolder47e40;
    }

    public function isProxyInitialized() : bool
    {
        return null !== $this->valueHolder47e40;
    }

    public function getWrappedValueHolderValue()
    {
        return $this->valueHolder47e40;
    }
}

if (!\class_exists('EntityManager_9a5be93', false)) {
    \class_alias(__NAMESPACE__.'\\EntityManager_9a5be93', 'EntityManager_9a5be93', false);
}
